lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'meta_mongo/version'

Gem::Specification.new do |spec|
  spec.name          = "meta_mongo"
  spec.version       = MetaMongo::VERSION
  spec.authors       = ["Michel Boaventura"]
  spec.email         = ["michel.boaventura@gmail.com"]

  spec.summary       = "Generates Mongoid model and validations dinamically"
  spec.description   = "This gem dinamically generates models and vallidations to Mongoid"
  spec.homepage      = "https://github.com/michelboaventura/meta_mongo"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "mongoid", "~> 4.0"
  spec.add_dependency "enumerize", "~> 1.0"

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.4"
  spec.add_development_dependency "rspec", "~> 3.3"
  spec.add_development_dependency "guard-rspec", "~> 4.6"
  spec.add_development_dependency "mongoid-rspec", "~> 2.2"
end
